"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loading = void 0;
const loading = (str) => {
    const P = ['\\', '|', '/', '-'];
    let x = 0;
    const timer = setInterval(() => {
        process.stdout.write(`\r${str} ${P[x++]}`);
        x &= 3;
    }, 250);
    return {
        stop: () => {
            clearInterval(timer);
            process.stdout.write('\r');
        },
    };
};
exports.loading = loading;
